Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config
Interface MessageBrokerConfigProcessor

All Known Implementing Classes:
  AbstractAmfConversionServiceConfigProcessor, AbstractServiceConfigProcessor, ClassPathScanningAmfConversionServiceConfigProcessor, EndpointConfigProcessor, HibernateConfigProcessor, JpaHibernateConfigProcessor, LoginCommandConfigProcessor, MessageServiceConfigProcessor, RemotingServiceConfigProcessor

    public interface MessageBrokerConfigProcessor

Factory hook that allows for custom configuration of a `MessageBroker` when created by a `MessageBrokerFactoryBean`.

Author:
  Jeremy Grelle
See Also:
  `MessageBrokerFactoryBean`

Method Summary
`MessageBroker` | `processAfterStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.
`MessageBroker` | `processBeforeStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.

Method Detail

### processAfterStartup

    MessageBroker processAfterStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.

  Parameters:
    `broker` - the started `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

### processBeforeStartup

    MessageBroker processBeforeStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.

  Parameters:
    `broker` - the new `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.